# $Revision: 1.67 $, $Date: 2011/08/17 20:24:25 $
Summary:	A Python BitTorrent client with support for UPnP and DHT
Summary(pl.UTF-8):	Klient BitTorrenta napisany w Pythonie ze wspraciem dla UPnP i DHT
Name:		deluge
Version:	1.3.3
Release:	1
License:	GPL v3
Group:		X11/Applications/Networking
Source0:	http://download.deluge-torrent.org/source/%{name}-%{version}.tar.bz2
# Source0-md5:	4027c60bb5d1c5da61e97a47e62ab1ab
URL:		http://deluge-torrent.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-libtorrent-rasterbar
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	/bin/sh
Requires:	hicolor-icon-theme
# for svg pixbuf loader
Requires:	librsvg
Requires:	python-Mako
Requires:	python-TwistedCore >= 8.1
Requires:	python-TwistedCore-ssl >= 8.1
Requires:	python-TwistedWeb >= 8.1
Requires:	python-chardet
Requires:	python-dbus
Requires:	python-libtorrent-rasterbar >= 0.14.9
Requires:	python-pyOpenSSL
Requires:	python-pygame
Requires:	python-pygtk-glade >= 2:2.12
Requires:	python-pygtk-gtk >= 2:2.12
Requires:	python-pynotify
Requires:	python-pyxdg
Requires:	python-setuptools
Requires:	xdg-utils
Suggests:	GeoIP-db-Country
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Deluge is a new BitTorrent client, created using Python and GTK+. It
is intended to bring a native, full-featured client to Linux GTK+
desktop environments such as GNOME and XFCE. It supports features such
as DHT (Distributed Hash Tables) and UPnP (Universal Plug-n-Play) that
allow one to more easily share BitTorrent data even from behind a
router with virtually zero configuration of port-forwarding.

%description -l pl.UTF-8
Deluge to nowy klient BitTorrenta stworzony przy użyciu Pythona i
GTK+. Jego celem jest dostarczenie natywnego, w pełni funkcjonalnego
klienta dla środowisk GTK+ pod Linuksem, takich jak GNOME czy XFCE.
Obsługuje m.in. DHT (Distributed Hash Tables) i UPnP (Universal
Plug-n-Play), co pozwala łatwiej współdzielić dane BitTorrenta nawet
zza routera praktycznie bez konfiguracji przekierowywania portów.

%prep
%setup -q

%build
%ifarch %{x8664} ppc64 sparc64
	CFLAGS="%{rpmcflags} -DAMD64" %{__python} setup.py build
%else
	CFLAGS="%{rpmcflags}" %{__python} setup.py build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# move lang files into %{_datadir}/locale, find_lang does not work on
# this. Looks really ugly, if you know a better way please do use it :)
install -d $RPM_BUILD_ROOT%{_localedir}
mv -f $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}/i18n/* $RPM_BUILD_ROOT%{_localedir}
# clean *.py files from the package, macro doesn't catch those
find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name} -name '*.py' -exec %{__rm} {} \;

# not supported in glibc (as for 2.14-15)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{pms,lb}

# Move svg icon to proper place
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps
mv -f $RPM_BUILD_ROOT%{_iconsdir}/scalable/apps/deluge.svg $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/apps/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/deluge
%attr(755,root,root) %{_bindir}/deluge-console
%attr(755,root,root) %{_bindir}/deluge-gtk
%attr(755,root,root) %{_bindir}/deluge-web
%attr(755,root,root) %{_bindir}/deluged
%{_pixmapsdir}/%{name}.xpm
%dir %{py_sitescriptdir}/%{name}
%dir %{py_sitescriptdir}/%{name}/core
%dir %{py_sitescriptdir}/%{name}/data
%dir %{py_sitescriptdir}/%{name}/data/pixmaps
%dir %{py_sitescriptdir}/%{name}/data/pixmaps/flags
%dir %{py_sitescriptdir}/%{name}/plugins
%dir %{py_sitescriptdir}/%{name}/ui
%dir %{py_sitescriptdir}/%{name}/ui/console
%dir %{py_sitescriptdir}/%{name}/ui/console/commands
%dir %{py_sitescriptdir}/%{name}/ui/gtkui
%dir %{py_sitescriptdir}/%{name}/ui/gtkui/glade
%dir %{py_sitescriptdir}/%{name}/ui/web
%{py_sitescriptdir}/%{name}/*.py[co]
%{py_sitescriptdir}/%{name}/core/*.py[co]
%{py_sitescriptdir}/%{name}/data/pixmaps/*.gif
%{py_sitescriptdir}/%{name}/data/pixmaps/*.ico
%{py_sitescriptdir}/%{name}/data/pixmaps/*.png
%{py_sitescriptdir}/%{name}/data/pixmaps/*.svg
%{py_sitescriptdir}/%{name}/data/pixmaps/flags/*.png
%{py_sitescriptdir}/%{name}/plugins/*.py[co]
%{py_sitescriptdir}/%{name}/plugins/*.egg
%{py_sitescriptdir}/%{name}/ui/*.py[co]
%{py_sitescriptdir}/%{name}/ui/console/*.py[co]
%{py_sitescriptdir}/%{name}/ui/console/commands/*.py[co]
%{py_sitescriptdir}/%{name}/ui/gtkui/*.py[co]
%{py_sitescriptdir}/%{name}/ui/gtkui/glade/*.glade
%{py_sitescriptdir}/%{name}/ui/web/*.js
%{py_sitescriptdir}/%{name}/ui/web/*.py[co]
%{py_sitescriptdir}/%{name}/ui/web/css
%{py_sitescriptdir}/%{name}/ui/web/icons
%{py_sitescriptdir}/%{name}/ui/web/images
%{py_sitescriptdir}/%{name}/ui/web/index.html
%{py_sitescriptdir}/%{name}/ui/web/js
%{py_sitescriptdir}/%{name}/ui/web/render
%{py_sitescriptdir}/%{name}/ui/web/themes
%{py_sitescriptdir}/%{name}-*-py*.egg-info
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/deluge.png
%{_iconsdir}/hicolor/22x22/apps/deluge.png
%{_iconsdir}/hicolor/24x24/apps/deluge.png
%{_iconsdir}/hicolor/32x32/apps/deluge.png
%{_iconsdir}/hicolor/36x36/apps/deluge.png
%{_iconsdir}/hicolor/48x48/apps/deluge.png
%{_iconsdir}/hicolor/64x64/apps/deluge.png
%{_iconsdir}/hicolor/72x72/apps/deluge.png
%{_iconsdir}/hicolor/96x96/apps/deluge.png
%{_iconsdir}/hicolor/128x128/apps/deluge.png
%{_iconsdir}/hicolor/192x192/apps/deluge.png
%{_iconsdir}/hicolor/256x256/apps/deluge.png
%{_iconsdir}/hicolor/scalable/apps/deluge.svg
%{_mandir}/man1/deluge.1*
%{_mandir}/man1/deluged.1*
%{_mandir}/man1/deluge-console.1*
%{_mandir}/man1/deluge-gtk.1*
%{_mandir}/man1/deluge-web.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: deluge.spec,v $
Revision 1.67  2011/08/17 20:24:25  wiget
- up to 1.3.3
- removed obsoleted desktop.path (fixed upstream)
- removed one more unsupported locale

Revision 1.66  2011/03/25 18:42:00  qboosh
- updated unsupported languages list (only pms left)

Revision 1.65  2011/02/04 18:23:41  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.64  2011/01/13 11:09:18  duddits
- up to 1.3.1

Revision 1.63  2010/09/30 09:21:33  duddits
- up to 1.3.0

Revision 1.62  2010/09/21 19:00:15  glen
- release 7

Revision 1.61  2010/07/09 11:14:18  arekm
- release 6

Revision 1.60  2010/07/08 07:42:55  arekm
- release 5

Revision 1.59  2010/05/12 14:47:15  baggins
- rel 4
- fixed patch

Revision 1.58  2010/05/12 13:27:42  baggins
- rel 3
- fixed desktop categories

Revision 1.57  2010/04/11 11:36:43  jasw
- add missing req: python-TwistedCore-ssl
- rel. 2

Revision 1.56  2010/04/05 20:45:17  wiget
- 1.2.3

Revision 1.55  2010/03/26 09:58:36  duddits
- up to 1.2.2

Revision 1.54  2010/03/14 18:18:20  wiget
- this version requires python-libtorrent-rasterbar >= 0.14.9
- release 2

Revision 1.53  2010/02/23 17:39:58  sparky
- dropped unused BR: desktop-file-utils

Revision 1.52  2010/02/23 09:49:00  duddits
- up to 1.2.1

Revision 1.51  2010/01/22 19:39:15  duddits
- erm, forgot to update Source URL

Revision 1.50  2010/01/22 19:35:25  duddits
- up to 1.2.0
- back to original URL (it works again)
- %files and some cleaning
- c++.patch obsoleted

Revision 1.46.2.3  2009/11/14 13:47:09  wiget
- working Source0 URL

Revision 1.46.2.2  2009/11/14 13:34:15  wiget
- BR: python-libtorrent-rasterbar

Revision 1.46.2.1  2009/11/14 13:33:07  wiget
- updated to 1.2.0-rc3

Revision 1.46  2009/09/06 20:07:21  duddits
- rel. 5
- R: python-setuptools

Revision 1.45  2009/08/29 09:22:42  pluto
- fix build, release 4.

Revision 1.44  2009/08/29 06:47:20  pluto
- release 3 (rebuild with boost-1.40.0)

Revision 1.43  2009/07/24 14:36:37  duddits
- rel. 2
- R: librsvg (thanks jefe)

Revision 1.42  2009/06/22 08:14:13  duddits
- up to 1.1.9

Revision 1.41  2009/06/21 11:44:01  hawk
- release 2

Revision 1.40  2009/05/25 21:06:34  duddits
- up to 1.1.8

Revision 1.39  2009/04/26 10:41:10  duddits
- up to 1.1.7

Revision 1.38  2009/04/07 21:27:13  duddits
- up to 1.1.6

Revision 1.37  2009/03/18 15:25:36  duddits
- up to 1.1.5
- new Source0 URL

Revision 1.36  2009/03/13 21:42:03  hawk
- release 2

Revision 1.35  2009/03/11 18:57:54  duddits
- up to 1.1.4

Revision 1.34  2009/02/17 09:23:39  duddits
- up to 1.1.3

Revision 1.33  2009/02/05 21:13:05  duddits
- rel. 2, more unsupported locales

Revision 1.32  2009/02/05 15:54:14  duddits
- up to 1.1.2

Revision 1.31  2009/01/28 18:38:35  duddits
- up to 1.1.1

Revision 1.30  2009/01/22 08:51:00  duddits
- rel. 1, works

Revision 1.29  2009/01/19 13:42:51  duddits
- missing %dir

Revision 1.28  2009/01/19 13:14:18  duddits
- up to 1.1.0
- %install tune-ups
- more %files

Revision 1.27  2009/01/11 22:02:32  duddits
- up to 1.0.7
- GPL v3
- %files tune-up

Revision 1.26  2008/12/05 17:24:10  qboosh
- use find_lang
- files fix

Revision 1.25  2008/12/04 15:07:07  duddits
- up to 1.0.6
- TODO removed (looks like it uses its own libtorrent module anyway)
- patch obsoleted

Revision 1.24  2008/11/14 09:26:46  glen
- BR setuptools. LP#297844

Revision 1.23  2008/11/13 14:02:34  duddits
- BR: openssl-devel

Revision 1.22  2008/11/13 11:06:21  duddits
- lang files moved to %{_localedir} by hand
- BR updated
- *.py cleaning

Revision 1.21  2008/11/12 16:04:27  duddits
- up to 1.0.5
- TODO added
- more verbose %files
- patch for libtorrent module added

Revision 1.20  2008/05/20 21:57:21  sls
- rel. 1 (why 0.9 previously?)
- rm Piemontese lolale
- don't package hicolor/256x256 icons (hicolor-icons-theme doesn't provides proper dir)

Revision 1.19  2008-05-20 21:51:10  sls
- ver. 0.5.9.1

Revision 1.18  2008-05-08 20:37:15  dzeus
- up to 0.5.9.0

Revision 1.17  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.16  2008-01-29 13:35:12  blues
- unsupported latin locale?

Revision 1.15  2008-01-29 13:05:00  blues
- 0.5.8.3

Revision 1.14  2008-01-24 22:31:11  blues
- rel.2

Revision 1.13  2008-01-24 12:51:21  blues
- 0.5.8.1

Revision 1.12  2008-01-03 14:57:16  qboosh
- removed obsolete pyc patch
- GPL v2+

Revision 1.11  2008-01-03 13:39:34  qboosh
- hicolor deps

Revision 1.10  2007-12-31 02:52:15  aredridel
- BR: boost-array-devel, boost-filesystem-devel, boost-date_time-devel

Revision 1.9  2007-12-31 02:02:01  aredridel
-R: python-gnome-extras-mozilla

Revision 1.8  2007-12-31 01:50:42  aredridel
- 0.5.8

Revision 1.7  2007-09-10 00:37:39  aflinta
- up to 0.5.5

Revision 1.6  2007/08/25 09:31:47  dzeus
- up to 0.5.4.1

Revision 1.5  2007/07/30 20:24:33  qboosh
- working Source0 URL

Revision 1.4  2007/07/30 20:21:53  jareq
- updated to 0.5.3
- added deluge-pld.patch to build with proper boost library name
- rel 1

Revision 1.3  2007/03/30 20:12:36  qboosh
- pl desc, cleanup

Revision 1.2  2007/03/18 20:13:01  glen
- use source that exists
- cleanups, unfortunately can't build to test

Revision 1.1  2007/03/18 19:15:20  czarny
- new
- stollen from Fedora - muwwahahah :>
- strange - some patch there, not sure what it does - needs investigation
- builds, works
